## aewan 1.0.01

=== bores/Makefile ===
# Copyright (c) 2003 Bruno T. C. de Oliveira
# 
# LICENSE INFORMATION:
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
# Copyright (c) 2002 Bruno T. C. de Oliveira
# 
# INFORMAES DE LICENA:
# Este programa  um software de livre distribuio; voc pode
# redistribu-lo e/ou modific-lo sob os termos da GNU General
# Public License, conforme publicado pela Free Software Foundation,
# pela verso 2 da licena ou qualquer verso posterior.
# 
# Este programa  distribudo na esperana de que ele ser til
# aos seus usurios, porm, SEM QUAISQUER GARANTIAS; sem sequer
# a garantia implcita de COMERCIABILIDADE ou DE ADEQUAO A
# QUALQUER FINALIDADE ESPECFICA. Consulte a GNU General Public
# License para obter mais detalhes (uma cpia acompanha este
# programa, armazenada no arquivo COPYING).

SOURCES=$(wildcard *.c)
HEADERS=$(filter-out bores.h,$(wildcard *.h))
OBJECTS=$(patsubst %.c,%.o,$(SOURCES))

CFLAGS+=-Wall

all: libbores.a bores.h

bores.h:
	@echo >bores.h
	@echo "/* ------ GENERATED FILE. DO NOT EDIT -------- */" >>bores.h
	@echo "/* THIS FILE IS OVERWRITTEN EVERY TIME YOU     */" >>bores.h
	@echo "/* BUILD THE BORES LIBRARY.                    */" >>bores.h
	@echo "/*                                             */" >>bores.h
	@echo "/* Copyright (c) 2003 Bruno T. C. de Oliveira. */" >>bores.h
	@echo "/* All rights reserved.                        */" >>bores.h
	for i in $(HEADERS); do echo "#include \"$$i\"" >>bores.h; done
	
libbores.a: $(OBJECTS)
	rm -f libbores.a
	ar -r libbores.a $(OBJECTS)

.depends: $(SOURCES) $(HEADERS)
	$(CC) $(CFLAGS) -MM $(SOURCES) >.depends
	
-include .depends

clean:
	rm -f *.o .depends libbores.a bores.h

.PHONY: clean all

=== debian/changelog ===
aewan (1.0.01-6) unstable; urgency=high

  * Add Vcs-* URLs for current repository
  * Update forwarded status for format-security.patch
  * Add patch to fix FTBFS with GCC 14 (Closes: #1074800)
  * Raised urgency because of RC bug

 -- Ricardo Mones <mones@debian.org>  Mon, 12 Aug 2024 17:29:42 +0200

aewan (1.0.01-5) unstable; urgency=high

  * Adopt package (Closes: #994635)
  * Remove unnecessary whitespace
  * Switch to machine-readable copyright format
  * Switch to dpkg-source 3.0 (quilt) format
  * Set Standards-Version to 4.6.0: update priority
  * Add Homepage field with current URL
  * Add field Rules-Requires-Root
  * Remove obsolete lintian override
  * Add recommends with sensible-utils
  * Update watch file format to 4
  * Fix FTBFS with -Werror=format-security (Closes: #997132)

 -- Ricardo Mones <mones@debian.org>  Mon, 25 Oct 2021 00:12:51 +0200

aewan (1.0.01-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Sort list of sources file so the object files are passed in a deterministic
    order to the linker, assuring a reproducible build.
    Thanks to Reiner Herrmann <reiner@reiner-h.de> for the patch
    (Closes: #842864)

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 08 Aug 2017 17:52:07 +0200

aewan (1.0.01-4) unstable; urgency=medium

  * maintenance and cleanup spin:
    * fix spelling mistake in manpage
    * control and rules file updates to comply with policy and best
      practices
    * haredening flags in debian/rules
    * default targets in debian/rules
    * bump standards-version

 -- Robert Lemmen <robertle@semistable.com>  Thu, 02 Jun 2016 20:37:06 +0100

aewan (1.0.01-3) unstable; urgency=low

  * use sensible-editor instead of vi by default (closes: #505462)

 -- Robert Lemmen <robertle@semistable.com>  Thu, 12 Mar 2009 19:06:55 +0000

aewan (1.0.01-2) unstable; urgency=low

  * Fixed at problem that could make aewan crash on 64-bit archs
    (closes: #332288)
  * Fixed watch file (closes: #450136)

 -- Robert Lemmen <robertle@semistable.com>  Tue, 31 Jan 2006 12:51:33 +0200

aewan (1.0.01-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Sun,  2 Oct 2005 16:55:03 +0200

aewan (0.9.6-1) unstable; urgency=low

  * New upstream release (closes: #295982)

 -- Robert Lemmen <robertle@semistable.com>  Sat, 19 Feb 2005 18:57:42 +0100

aewan (0.9.5-1) unstable; urgency=low

  * New upstream release with a menu and XHTML output

 -- Robert Lemmen <robertle@semistable.com>  Sat, 19 Feb 2005 15:18:50 +0100

aewan (0.9.3-1) unstable; urgency=low

  * New upstream release.
  * fixed package description to be more comprehensible
  * priority is now "extra"
  * fixed $(DESTDIR) handling in Makefile

 -- Robert Lemmen <robertle@semistable.com>  Mon, 15 Nov 2004 15:19:17 +0100

aewan (0.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Robert Lemmen <robertle@semistable.com>  Wed,  4 Aug 2004 15:39:35 +0200

aewan (0.8.7-1) unstable; urgency=low

  * Initial release. (closes: #244682)

 -- Robert Lemmen <robertle@semistable.com>  Tue, 18 May 2004 18:12:48 +0200

=== debian/control ===
Source: aewan
Section: text
Priority: optional
Maintainer: Ricardo Mones <mones@debian.org>
Build-Depends: debhelper-compat (= 13), libncurses5-dev, zlib1g-dev
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: http://aewan.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/aewan.git
Vcs-Browser: https://salsa.debian.org/debian/aewan

Package: aewan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: sensible-utils
Description: ASCII-art Editor Without A Name
 aewan is an ASCII art editor with support for multiple layers that can be
 edited individually, colors, rectangular copy and paste, and intelligent
 horizontal and vertical flipping (converts '\' to '/', etc). It produces
 both stand-alone art files and an easy-to-parse format for integration
 into your terminal applications.

=== debian/watch ===
version=4
http://sf.net/aewan/aewan-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
